| kspaceFirstOrder3D-OMP 1.1 The C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Friends Pages
Public Member Functions | Private Attributes | List of all members
TTimeMeasure Class Reference

Class measuring elapsed time. More...

`#include <TimeMeasure.h>`

## Public Member Functions
| TTimeMeasure ()
| Default constructor.
| TTimeMeasure (const TTimeMeasure &src)
| Copy constructor. More...
TTimeMeasure & | operator= (const TTimeMeasure &src)
| operator = More...
virtual | ~TTimeMeasure ()
| Destructor.
void | Start ()
| Get start timestamp.
void | Stop ()
| Get stop timestamp.
double | GetElapsedTime () const
| Get elapsed time. More...
double | GetCumulatedElapsedTimeOverAllLegs () const
| Get cumulated elapsed time over all simulation legs. More...
double | GetCumulatedElapsedTimeOverPreviousLegs () const
| Get time spent in previous legs. More...
void | SetCumulatedElapsedTimeOverPreviousLegs (const double ElapsedTime)
| Set elapsed time in previous legs of the simulation. More...

## Private Attributes
double | StartTime
| Start timestamp of the interval.
double | StopTime
| Stop timestamp of the interval.
double | CumulatedElapsedTimeOverPreviousLegs
| Elapsed time in previous simulation legs.

## Detailed Description

Class measuring elapsed time, even over multiple leg simulations.

Definition at line 51 of file TimeMeasure.h.

## Constructor & Destructor Documentation

TTimeMeasure::TTimeMeasure | ( | const TTimeMeasure & | src | ) |
| inline

Copy constructor.

Parameters

  [in] | src | - the other class to copy from

Definition at line 67 of file TimeMeasure.h.

## Member Function Documentation

double TTimeMeasure::GetCumulatedElapsedTimeOverAllLegs | ( |  | ) | const
| inline

Get cumulated elapsed time over all simulation legs.

Returns
  elapsed time all (including this one) legs.

Definition at line 132 of file TimeMeasure.h.

double TTimeMeasure::GetCumulatedElapsedTimeOverPreviousLegs | ( |  | ) | const
| inline

Returns
  Elapsed time over previous legs.

Definition at line 141 of file TimeMeasure.h.

Here is the caller graph for this function:

double TTimeMeasure::GetElapsedTime | ( |  | ) | const
| inline

Get elapsed time.

Returns
  elapsed time between start timestamp and stop timestamp.

Definition at line 122 of file TimeMeasure.h.

Here is the caller graph for this function:

TTimeMeasure& TTimeMeasure::operator= | ( | const TTimeMeasure & | src | ) |
| inline

operator =

Parameters

  [in] | src | - source

Returns

Definition at line 79 of file TimeMeasure.h.

void TTimeMeasure::SetCumulatedElapsedTimeOverPreviousLegs | ( | const double | ElapsedTime | ) |
| inline

Set elapsed time in previous legs of the simulation.

Parameters

  [in] | ElapsedTime |

Definition at line 151 of file TimeMeasure.h.

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- Utils/TimeMeasure.h